resetPasswordCallback
GET
/reset-password/{token}
const url = 'https://gymgym.club/api/auth/reset-password/example?callbackURL=example';const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request GET \ --url 'https://gymgym.club/api/auth/reset-password/example?callbackURL=example' \ --header 'Authorization: Bearer <token>'Redirects the user to the callback URL with the token
Authorizations
Section titled “Authorizations”Parameters
Section titled “Parameters”Path Parameters
Section titled “Path Parameters”token
required
string
The token to reset the password
Query Parameters
Section titled “Query Parameters”callbackURL
required
string
The URL to redirect the user to reset their password
Responses
Section titled “Responses”Success
Media typeapplication/json
object
token
string
Examplegenerated
{ "token": "example"}Bad Request. Usually due to missing parameters, or invalid parameters.
Media typeapplication/json
object
message
required
string
Examplegenerated
{ "message": "example"}Unauthorized. Due to missing or invalid authentication.
Media typeapplication/json
object
message
required
string
Examplegenerated
{ "message": "example"}Forbidden. You do not have permission to access this resource or to perform this action.
Media typeapplication/json
object
message
string
Examplegenerated
{ "message": "example"}Not Found. The requested resource was not found.
Media typeapplication/json
object
message
string
Examplegenerated
{ "message": "example"}Too Many Requests. You have exceeded the rate limit. Try again later.
Media typeapplication/json
object
message
string
Examplegenerated
{ "message": "example"}Internal Server Error. This is a problem with the server that you cannot fix.
Media typeapplication/json
object
message
string
Examplegenerated
{ "message": "example"}